<%@ LANGUAGE = VBScript %>
<% 
'**********************************************************
'*                   DAF Login Script                     *
'*                                                        *
'* Author : Philippe Tenenhaus                            *
'* Version : 1.0 - 1998/11/16                             *
'**********************************************************


'----------------------------------------------------------
'------ Add your custom code here -------------------------
'----------------------------------------------------------
' Caution: 
' Your code should NOT display any information. 
' This is because the script end with a call to 
' "response.redirect" that will fail if any information 
' was displayed before it is called.
'----------------------------------------------------------







'----------------------------------------------------------
'------ End of custom code --------------------------------
'----------------------------------------------------------


'----------------------------------------------------------
'-------------- DAF Specific code -------------------------
'----------------------------------------------------------

'--- Define the names of all cookies used in the script ---
LoginName = "DAFLOGIN"
PasswordName = "DAFPASS"
RequestedURL = "DAFREQUESTED_URL"
RequestedQueryString = "DAFREQUESTED_QUERYSTRING" 
CookieExpDate = "DAFCOOKIEDATE"
DAFDBName = "DAFDBName"

'--- We retreive the expiration date -----------------------
CookieExpire = Request.Cookies(CookieExpDate)
DBName = Request.Cookies(DAFDBName)

'--- We retreive the request URL and it's query string -----
ForwardURL = "http://" & Request.ServerVariables("SERVER_NAME") _
		& Request.Cookies(RequestedURL)
QueryString = Request.Cookies(RequestedQueryString)
if QueryString <> "" then 
	ForwardURL = ForwardURL & "?" & QueryString
end if


'--- We retreive and crypt the password password ----------
Set DAFCrypto = Server.CreateObject("dafcrypt.dafcrypt.1")  
CryptedPass = DAFCrypto.DAFDBEncrypt(DBName,Request.form(PasswordName))


'--- We create the cookies --------------------------------
Response.Cookies(LoginName) = Request.form(LoginName) 
Response.Cookies(PasswordName) =  CryptedPass 
Response.Cookies(LoginName).Path = "/" 
Response.Cookies(PasswordName).Path = "/"
if CookieExpire<>"session" then 
	Response.Cookies(LoginName).Expires = CookieExpire
	Response.Cookies(PasswordName).Expires = CookieExpire
end if

'--- We Redirect the URL towards the requested resource ---
Response.Redirect ForwardURL
%>